body {
  margin: 0;
  font-family: "Amiri", sans-serif; /* Use the name of the imported Arabic font */
  position: relative;
}



.mobile-number{
  color: #d89210;
  cursor: pointer;
  font-weight: bold;
  margin: 10px;
}

.mobile-number:hover{
  color: #fff;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 50px;
  background-color: white;
  color: black;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 2; /* Ensure navbar is above overlay */
}
.logo {
  height: 58px;
}

.navbar-logo {
  font-size: 1.5em;
  font-weight: bold;
  margin-right: 20px; /* Add right margin to the logo */
}

.navbar-menu {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
  justify-content: center;
  align-items: center;
}

.navbar-menu-item {
  margin: 0 15px;
  cursor: pointer;
  position: relative;
  font-weight: bold;
  transition: color 0.3s ease-in-out, text-decoration 0.3s ease-in-out,
    font-weight 0.3s ease-in-out, font-size 0.3s ease-in-out;
}

.navbar-menu-item:hover {
  color: #106cd8;
}

.navbar-menu-item::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  background-color: #106cd8;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
  transition: width 0.3s ease-in-out;
}

.navbar-menu-item:hover::after {
  width: 100%;
}

@media (max-width: 576px) {
  .navbar-menu-item {
    margin: 0 15px;
    cursor: pointer;
    position: relative;
    font-weight: bold;
    transition: color 0.3s ease-in-out, text-decoration 0.3s ease-in-out,
      font-weight 0.3s ease-in-out, font-size 0.3s ease-in-out;
  }

  .navbar-menu-item:hover {
    color: #106cd8;
  }

  .navbar-menu-item::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    background-color: #106cd8;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    transition: width 0.3s ease-in-out;
  }

  .navbar-menu-item:hover::after {
    width: 100%;
  }
  .navbar-menu-item {
    padding: 10px 10px; /* Adjust padding for increased clickable area */
    position: relative;
    margin: 5px 0; /* Adjust margin as needed */
  }

  .navbar-menu-item::before {
    height: 0.5px; /* Adjust the height as needed */
    margin: 6px 0; /* Adjust the margin as needed */
  }

  .logo {
    height: 25px;
  }
  .navbar {
    padding: 10px 1px;
    align-items: center;
  }
}

.navbar-hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  z-index: 3; /* Ensure hamburger is above overlay */
}

.hamburger-bar {
  width: 25px;
  height: 3px;
  background-color: #106cd8;
  margin: 4px 0;
  transition: background-color 0.3s ease-in-out;
}

.navbar-phone {
  display: flex;
  background: linear-gradient(to right, #3399ff, #106cd8);
  align-items: center;
  font-size: 1.5em;
  cursor: pointer;
  transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out,
    box-shadow 0.3s ease-in-out;
  color: #fff;
  padding: 8px;
  border-radius: 50px;
  margin-left: 20px; /* Add left margin to the phone number */
  margin-right: 20px; /* Add right margin to the phone number */
  z-index: 2; /* Ensure phone is above overlay */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4); /* Add this line for the black shadow */
  border: 1px solid black;
}

.navbar-phone:hover {
  background: linear-gradient(to right, #106cd8, #3399ff);
  /* border: 1px solid black; */
}

.phone-icon {
  margin-right: 8px;
}

.container {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
  background: white;
}

h1 {
  font-size: 2.5em;
  margin-bottom: 20px;
}

h4 {
  font-size: 1.5em;
}

/* Update this style in your existing CSS */
.navbar-menu-item.active {
  color: #106cd8;
  position: relative;
}

.navbar-menu-item.active::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #106cd8;
  bottom: 0px;
  left: 50%; /* Updated to start from the left of the navbar item */
  transition: width 0.3s ease-in-out;
}

.navbar-menu-item.active:hover::after {
  width: 0; /* To prevent the underline from extending on hover */
}

@media (max-width: 768px) {
  .navbar-menu {
    display: none;
    flex-direction: column;
    width: 100%;
    text-align: center;
    position: absolute;
    top: 65px;
    left: 0;
    background-color: white;
    z-index: 4; /* Ensure menu is above overlay */
  }

  .navbar-menu.show {
    display: flex;
  }

  .navbar-menu-item {
    margin: 15px 0;
  }

  .navbar-hamburger {
    display: flex;
    z-index: 5; /* Ensure hamburger is above overlay */
    margin-right: 5px;
  }

  .logo {
    margin-left: 5px;
    height: 45px;
  }

  .content {
    padding: 20px 0;
  }

  .about-image,
  .about-text {
    max-width: 100%; /* Adjust width for responsiveness */
    margin: 0;
  }

  .navbar-phone {
    display: flex;
    background: linear-gradient(to right, #3399ff, #106cd8);
    align-items: center;
    font-size: 1.2em;
    cursor: pointer;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out,
      box-shadow 0.3s ease-in-out;
    color: #fff;
    padding: 5px;
    border-radius: 50px;
    margin-left: 20px; /* Add left margin to the phone number */
    margin-right: 20px; /* Add right margin to the phone number */
    z-index: 2; /* Ensure phone is above overlay */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4); /* Add this line for the black shadow */
  }
}

.home-section {
  background: url("../images/باكستاني\ مقاول\ ومعلم\ و\ فني\ سيراميك\ الكويت\ 65823184\ فني\ تركيب\ سيراميك.jpg") center/cover no-repeat;
  /* padding: 80px 20px 20px; */
  margin-top: 60px;
  position: relative;
  z-index: 1;
  text-align: center;
  color: white;
  height: 560px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}



@media (max-width: 768px) {
  .home-section {
    margin-top: 55px;
    height: auto;
  }
}

@media (max-width: 576px) {
  .home-section {
    height: 600px;
    /* padding: 20px 10px; Adjust padding for smaller screens */
  }
  
}

.home-content {
  padding: 30px;
  display: flex;
    flex-direction: column;
    align-items: center;
}

.home-paragragh{
background-color: rgba(0, 0, 0, 0.5);;
padding: 20px;
/* opacity: 50%; */
border: 2px solid #106cd8;
border-radius: 20px;
margin-bottom: 20px;
}

.hamburger-bar-close {
  background-color: rgb(6, 32, 61); /* Change color for close icon */
  transition: background-color 0.3s ease-in-out;
}

.hamburger-bar-1-close {
  transform: rotate(-45deg) translate(-6px, 9px);
}

.hamburger-bar-2-close {
  opacity: 0;
}

.hamburger-bar-3-close {
  transform: rotate(45deg) translate(-6px, -9px);
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  background: white; /* Adjust opacity as needed */
  z-index: 0; /* Set a base z-index */
}

@keyframes luminous {
  0% {
    box-shadow: 0 0 10px #ff8c00, 0 0 20px #ff8c00, 0 0 30px #ff8c00;
  }
  50% {
    box-shadow: 0 0 20px #106cd8, 0 0 30px #106cd8, 0 0 40px #106cd8;
  }
  100% {
    box-shadow: 0 0 10px #ff8c00, 0 0 20px #ff8c00, 0 0 30px #ff8c00;
  }
}

.btn-contact {
  font-size: 5em;
  text-decoration: none;
  display: inline-block;
  padding: 10px;
  border: none;
  cursor: pointer;
  border-radius: 50px;
  margin-top: 20px;
  font-weight: 800px;
  /* background: linear-gradient(to right, #3399ff, #106cd8); */
  background: linear-gradient(to right, #106cd8, #3399ff);
  /* background-color: wheat; */
  color: white;
  font-weight: 700;
  border: 1px solid black;
  transition: background 0.3s ease-in-out;
  /* animation: luminous 2s infinite; */
}

/* Responsive font-size adjustments */
@media (max-width: 576px) {
  .btn-contact {
    font-size: 4em;
    padding: 8px;
  }
}

@media (min-width: 577px) and (max-width: 768px) {
  .btn-contact {
    font-size: 2em;
  }
}

/* Add more media queries for other screen sizes as needed */

.btn-contact:hover {
  background: linear-gradient(
    to right,
    #3399ff,
    #106cd8
  ); /* Adjust gradient colors */
  /* animation:none; */
  color: white;
  /* border: 1px solid black; */
}

.call-now-button {
  background: linear-gradient(to right, #3399ff, #106cd8);
  color: #fff;
  padding: 15px 30px;
  font-size: 4em;
  border: none;
  cursor: pointer;
  border-radius: 10px;
  border: 1px solid white;
  transition: background 0.3s ease-in-out;
  animation: blink 2s infinite;
}

.call-now-button:hover {
  background: linear-gradient(to right, #106cd8, #3399ff);
  animation: none;
  border: 1px solid black;
  color: black;
}

/* Responsive styles for tablets and larger screens */
@media (min-width: 768px) {
  .call-now-button {
    font-size: 2em;
    padding: 10px 20px;
  }
}

.about-content {
  display: flex;
  justify-content: space-between;
}

.about-image {
  max-width: 100%; /* Adjust the maximum width for responsiveness */
  height: auto;
  border-radius: 10px;
  border: 1px solid black;
}

.img {
  padding: 50px;
}

.about-text {
  flex-grow: 1;
  max-width: 100%; /* Adjust the maximum width for responsiveness */
  text-align: center;
  font-size: 1.5em; /* Adjust font size as needed */
  color: #333; /* Adjust text color as needed */
}


@keyframes blink {
  50% {
    opacity: 0;
  }
}

/* Responsive styles for mobile phones */
@media (max-width: 576px) {
  .call-now-button {
    font-size: 1.5em;
    padding: 8px 16px;
  }
}

.about-section {
  background-color: #fff; /* Adjust background color as needed */
  position: relative;
  z-index: 1;
  height: 550px;
}
.about-heading{
  font-size: 4em;
  font-weight: bold;
}
@media (max-width: 768px) {
  .about-section{
    height: auto;
  }
  .about-heading{
font-size: 3em;
  }

}

@media (max-width: 576px) {
  .about-section {
    height: 650px;
  }
  .about-heading{
    font-size: 2em;
  }
}




.gallery {
  padding: 25px;
  position: relative;
  z-index: 1;
  background-color: #f3f3f3;
}

.additional-images {
  margin-top: 20px;
}

.additional-images img {
  max-width: 100%;
  border-radius: 8px;
  margin-bottom: 10px;
  width: 100%;
  height: auto;
  max-height: 350px;
  min-height: 350px;
  border: 2px solid #106cd8;
}


.gallery-heading{
  font-size: 4em;
  font-weight: bold;
}
@media (max-width: 768px) {
  .gallery-heading{
font-size: 3em;
  }
}

@media (max-width: 576px) {
  .gallery-heading{
    font-size: 2em;
  }
}

/* Media queries for responsiveness */
@media (min-width: 576px) {
  .gallery {
    padding: 30px;
  }

  .additional-images img {
    min-width: 300px;
    max-height: 300px;
    min-height: 300px;
    margin-bottom: 15px;
  }
  figcaption {
    font-size: 16px; /* Adjust font size for medium screens */
    font-weight: bold;
  }
}


@media (min-width: 768px) {
  .additional-images img {
    min-width: 300px;
    min-height: 300px;
    max-height: 300px;
    margin-bottom: 20px;
  }
  
  figcaption {
    font-size: 18px; /* Adjust font size for large screens */
  }
}


@media (min-width: 992px) {
  .additional-images img {
    min-width: 300px;
    min-height: 300px;
    margin-bottom: 25px;
  }

  figcaption {
    font-size: 20px; /* Adjust font size for extra-large screens */
  }
}



/* Optional: Add some margin between images */


.footer {
  background: linear-gradient(to right, #3399ff, #106cd8);
  color: #fff;
  text-align: center;
  padding: 10px;
}


.youtube-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 400px;
  text-align: center;
  padding: 20px;
  background-color: #f3f3f3;
}


.youtube-logo {
  max-width: 300px;
  height: 70px; /* Adjust the size as needed */
}

.subscribe-button {
  background-color: #ff0000; /* Replace with your preferred color */
  color: #fff;
  padding: 10px 20px;
  font-size: 2em; /* Adjust the default font size for smaller screens */

  /* Add a max-width for larger screens */
  max-width: 200px;

  border: none;
  border-radius: 5px;
  cursor: pointer;
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
  .subscribe-button {
    font-size: 1.5em; /* Adjust font size for smaller screens */
  }
}

/* Media query for even smaller screens, if needed */
@media screen and (max-width: 480px) {
  .subscribe-button {
    font-size: 1.2em; /* Adjust font size for even smaller screens */
  }
}


.subscribe-button:hover {
  background-color: #cc0000; /* Change the color on hover */
  color:#fff;
  text-decoration: none;
}

.contact-section{
  height: 450px;
}


@media (max-width: 767px) {
  .contact-section {
    height: 600px; /* Adjust height for smaller screens */
  }
  .contact-section h2{
    font-weight: 700px;
  }
}

@media (min-width: 768px) {
  .contact-section {
    height: 500px; /* Original height for larger screens */
  }
}


.contact-heading{
  font-size: 4em;
  font-weight: bold;
}
@media (max-width: 768px) {
  .contact-heading{
font-size: 3em;
  }
}

@media (max-width: 576px) {
  .contact-heading{
    font-size: 2em;
  }
}

.navbar-menu-item a {
  text-decoration: none;
  color: inherit;
}
.footer-text {
  color: #fff; /* Set the desired color for the links */
  /* Remove the default underline */
}

.footer-text:hover {
  color: #130202; /* Set the desired color for the links on hover */
  text-decoration: none; 
}

.footer-text{
  color: #ffaf03;
  font-size: larger;
  font-weight: bold;
}


.figure-caption{
  font-size: larger;
  font-weight: 700;
  color: black;
}


/* Add padding-top to create space above each section */
#home,
#about,
#gallery,
#contact,
.youtube-section {
  /* min-height: calc(100vh - 70px); Adjust the value to match your navbar height */
  padding-top: 7px; /* Match the height of your navbar */
}


.codeless-add-purchase-button {
  position: fixed;
  bottom: 60px;
  right: 19px;
  height: 70px;
  background: rgba(137, 189, 73, .25);
  border: none;
  -webkit-box-shadow: 0 2px 4px rgb(0 0 0 / 7%);
  box-shadow: 0 2px 4px rgb(0 0 0 / 7%);
  -webkit-border-radius: 100%;
  border-radius: 100%;
  color: #fff;
  padding: 0;
  padding-right: 10px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  z-index: 99;
  font-size: 0;
  font-weight: bold;
  color: #fff !important;
  -webkit-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}
.codeless-add-purchase-button i.icon {
  height: 50px;
  width: 50px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: #33CE33;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  margin: 10px 0 10px 10px;
  -webkit-transition: all cubic-bezier(.4, 0, .2, 1) .4s;
  -o-transition: all cubic-bezier(.4, 0, .2, 1) .4s;
  transition: all cubic-bezier(.4, 0, .2, 1) .4s;
}
.codeless-add-purchase-button i.icon svg {
  height: 30px;
  position: relative;
  bottom: 1px;
}
.codeless-add-purchase-button i.icon:after {
  content: "";
  position: fixed;
  display: block;
  height: 70px;
  width: 70px;
  background: rgba(137, 189, 73, .3);
  z-index: -1;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  -webkit-animation: 3s ease-in-out infinite pulse;
  animation: 3s ease-in-out infinite pulse;
}
.codeless-add-purchase-button i.icon svg path {
  fill: #fff;
}
@-webkit-keyframes pulse {
  0% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
  25% {
      -webkit-transform: scale(1.4);
      transform: scale(1.4);
      opacity: 1
  }
  55% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
  100% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
}
@keyframes pulse {
  0% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
  25% {
      -webkit-transform: scale(1.4);
      transform: scale(1.4);
      opacity: 1
  }
  55% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
  100% {
      -webkit-transform: scale(1);
      transform: scale(1);
      opacity: 0
  }
}